import { AnimationKeyframes, AnimationOptions } from '@/motion';
import { Directive } from 'vue';
export type AnimateCallback = ((el?: HTMLElement) => void) | undefined;
export declare function createAnimateDirective(keyframes: AnimationKeyframes, options: AnimationOptions & {
    reset?: boolean;
}): Directive<HTMLElement, AnimateCallback>;
declare const AnimateDownDirective: Directive<HTMLElement, AnimateCallback>;
export { AnimateDownDirective, AnimateDownDirective as vAnimateDown };
declare const AnimateUpDirective: Directive<HTMLElement, AnimateCallback>;
export { AnimateUpDirective, AnimateUpDirective as vAnimateUp };
declare const AnimateRightDirective: Directive<HTMLElement, AnimateCallback>;
export { AnimateRightDirective, AnimateRightDirective as vAnimateRight };
declare const AnimateLeftDirective: Directive<HTMLElement, AnimateCallback>;
export { AnimateLeftDirective, AnimateLeftDirective as vAnimateLeft };
